<html> 
<head> 
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.js"></script> 
    <script src="http://malsup.github.com/jquery.form.js"></script> 
 
    <script> 
    function httpRequestGet()
    {
        var xmlHttp = new XMLHttpRequest();
        xmlHttp.onreadystatechange = function() { 
            if (xmlHttp.readyState == 4 && xmlHttp.status == 200)
            {
                $('#response').val(xmlHttp.responseText);
            }
        }
        xmlHttp.open("GET", $('#url').val(), true); // true for asynchronous 
        xmlHttp.send($('#body').val());
    }
    
    function httpRequestPost()
    {
        var xmlHttp = new XMLHttpRequest();
        xmlHttp.onreadystatechange = function() { 
            if (xmlHttp.readyState == 4 && xmlHttp.status == 200)
            {
                $('#response').val(xmlHttp.responseText);
            }
        }
        xmlHttp.open("POST", $('#url').val(), true); // true for asynchronous 
        xmlHttp.send($('#body').val());
    }
    </script> 
</head>
<body>
     url: <input style="width: 500" type="text" id="url" value="http://127.0.0.1:8080/tables/Test2/0/l/v"/> <br>
     body: <textarea style="width: 100%;height: 33%" id="body" value=''></textarea> <br> 
     <input type="submit" value="GET" onclick="httpRequestGet()"/>
     <input type="submit" value="POST" onclick="httpRequestPost()"/> <br> 
     response: <textarea style="width: 100%;height: 33%" id="response"></textarea> <br> 
</body> 
